# Reader Class Reference

Inherits ObjectImpl.

Inherited by InputStreamReader.

List of all members.

## Detailed Description

Abstract class for reading from character streams.

## Public Member Functions

virtual void | close (Pool &p)=0
| Closes the stream.
virtual LogString | read (Pool &p)=0

## Protected Member Functions

| Reader ()
| Creates a new character-stream reader.
virtual | ~Reader ()

## Constructor & Destructor Documentation

Reader | ( |  | ) | `[protected]`

| Creates a new character-stream reader.

virtual ~Reader | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[pure virtual]`

Closes the stream.

Parameters:

  | p | The memory pool associated with the reader.

Implemented in InputStreamReader.

virtual LogString read | ( | Pool & | p | ) | `[pure virtual]`

Returns:
  The complete stream contents as a LogString.

Parameters:

  | p | The memory pool associated with the reader.

Implemented in InputStreamReader.

The documentation for this class was generated from the following file:

- reader.h